<?php
function reflect_css_rule($selector, $option, $property){
	$data = reflect_mood($option);
	$output = '';
	
	if($data != ''){
		if($property == 'background-image'){
			$output = $selector.'{'.$property.':url('.$data.');}';
		}else{
			$output = $selector.'{'.$property.':'.$data.';}';
		}
	}
	
	return $output;
}

function reflect_custom_css(){
	$css = '';
	
	/* Font */
	$css .= 'body{ font-family:'.reflect_fonts_style(2).'; }';
	$css .= '.primary_nav a{ font-family:'. reflect_fonts_style(1).'; }';
	$css .= 'h1, h2, h3, h4, h5, h6{ font-family:'. reflect_fonts_style(0).'; }';
	
	
	/* Header Top */
	if(apply_filters('reflect_active_header_top', false)){
		$prefix = 'header_top_';
		$class = '.header-top';
	
		$css .= reflect_css_rule($class, $prefix.'text_color', 'color');
		$css .= reflect_css_rule($class.' a', $prefix.'link_color', 'color');
		$css .= reflect_css_rule($class.' a:hover', $prefix.'link_hover_color', 'color');
		
		$css .= reflect_css_rule($class, $prefix.'bg_color', 'background-color');
		$css .= reflect_css_rule($class, $prefix.'bg_image', 'background-image');
		$css .= reflect_css_rule($class, $prefix.'bg_repeat', 'background-repeat');
		$css .= reflect_css_rule($class, $prefix.'bg_attachment', 'background-attachment');
		$css .= reflect_css_rule($class, $prefix.'bg_position', 'background-position');
		$css .= reflect_css_rule($class, $prefix.'bg_size', 'background-size');
	}
	
	
	/* Header Main */
	if(apply_filters('reflect_active_header', false)){
		$prefix = 'header_';
		$class = '.header-main';
		
		
		$text_color_selector = $class.','.$class.' h1,'.$class.' h2,'.$class.' h3,'.$class.' h4,'.$class.' h5,'.$class.' h6';
		$css .= reflect_css_rule($text_color_selector, $prefix.'text_color', 'color');
		$css .= reflect_css_rule($class.' a', $prefix.'link_color', 'color');
		$css .= reflect_css_rule($class.' a:hover', $prefix.'link_hover_color', 'color');
		$css .= reflect_css_rule($class, $prefix.'border_color', 'border-color');
		
		$css .= reflect_css_rule($class, $prefix.'bg_color', 'background-color');
		$css .= reflect_css_rule($class, $prefix.'bg_image', 'background-image');
		$css .= reflect_css_rule($class, $prefix.'bg_repeat', 'background-repeat');
		$css .= reflect_css_rule($class, $prefix.'bg_attachment', 'background-attachment');
		$css .= reflect_css_rule($class, $prefix.'bg_position', 'background-position');
		$css .= reflect_css_rule($class, $prefix.'bg_size', 'background-size');
		
		$css .= reflect_css_rule($class . ' .header_logo', $prefix.'logo_top_margin', 'margin-top');
		$css .= reflect_css_rule($class . ' .header_logo', $prefix.'logo_bottom_margin', 'margin-bottom');
		$css .= reflect_css_rule('.primary_nav', $prefix.'menu_top_margin', 'margin-top');
		$css .= reflect_css_rule('.primary_nav', $prefix.'menu_bottom_margin', 'margin-bottom');
		$css .= reflect_css_rule('.header-main-right', $prefix.'others_top_margin', 'margin-top');
		$css .= reflect_css_rule('.header-main-right', $prefix.'others_bottom_margin', 'margin-bottom');
	}
	
	
	/* Header Bottom */
	if(apply_filters('reflect_active_header', false)){
		$prefix = 'header_bottom_';
		$class = '.header-bottom';
		
		$text_color_selector = $class.','.$class.' h1,'.$class.' h2,'.$class.' h3,'.$class.' h4,'.$class.' h5,'.$class.' h6';
		$css .= reflect_css_rule($text_color_selector, $prefix.'text_color', 'color');
		$css .= reflect_css_rule($class.' a', $prefix.'link_color', 'color');
		$css .= reflect_css_rule($class.' a:hover', $prefix.'link_hover_color', 'color');
		
		$css .= reflect_css_rule($class, $prefix.'bg_color', 'background-color');
		$css .= reflect_css_rule($class, $prefix.'bg_image', 'background-image');
		$css .= reflect_css_rule($class, $prefix.'bg_repeat', 'background-repeat');
		$css .= reflect_css_rule($class, $prefix.'bg_attachment', 'background-attachment');
		$css .= reflect_css_rule($class, $prefix.'bg_position', 'background-position');
		$css .= reflect_css_rule($class, $prefix.'bg_size', 'background-size');
	}
	
	
	/* Footer Top */
	if(apply_filters('reflect_active_footer_top', false)){
		$prefix = 'footer_top_';
		$class = '.footer-top';
		
		$text_color_selector = $class.','.$class.' h1,'.$class.' h2,'.$class.' h3,'.$class.' h4,'.$class.' h5,'.$class.' h6';
		$css .= reflect_css_rule($text_color_selector, $prefix.'text_color', 'color');
		$css .= reflect_css_rule($class.' a', $prefix.'link_color', 'color');
		$css .= reflect_css_rule($class.' a:hover', $prefix.'link_hover_color', 'color');
		$css .= reflect_css_rule($class, $prefix.'border_color', 'border-color');
		
		$css .= reflect_css_rule($class, $prefix.'bg_color', 'background-color');
		$css .= reflect_css_rule($class, $prefix.'bg_image', 'background-image');
		$css .= reflect_css_rule($class, $prefix.'bg_repeat', 'background-repeat');
		$css .= reflect_css_rule($class, $prefix.'bg_attachment', 'background-attachment');
		$css .= reflect_css_rule($class, $prefix.'bg_position', 'background-position');
		$css .= reflect_css_rule($class, $prefix.'bg_size', 'background-size');
	}
	
	
	/* Footer Widgets */
	if(apply_filters('reflect_active_footer', false)){
		$prefix = 'footer_';
		$class = '.footer-widgets';
		
		$text_color_selector = $class.' h1,'.$class.' h2,'.$class.' h3,'.$class.' h4,'.$class.' h5,'.$class.' h6';
		$css .= reflect_css_rule($text_color_selector, $prefix.'title_color', 'color');
		$css .= reflect_css_rule($class, $prefix.'text_color', 'color');
		$css .= reflect_css_rule(
			'.footer-widgets a, .footer-widgets .widget_nav_menu ul li a, .footer-widgets li a, .footer-widgets .widget_meta ul li a, .footer-widgets .widget_recent_comments ul li a, .footer-widgets .widget_recent_comments ul li', 
			$prefix.'link_color', 
			'color'
		);
		$css .= reflect_css_rule(
			'.footer-widgets a:hover, .footer-widgets li a:hover,
.footer-widgets .widget_meta ul li a:hover, 
.footer-widgets .widget_pages ul li a:hover, 
.footer-widgets .widget_nav_menu ul li a:hover, 
.footer-widgets .widget_recent_entries ul li a:hover, 
.footer-widgets .widget_archive ul li a:hover, 
.footer-widgets .widget_categories ul li a:hover, 
.footer-widgets .widget_recent_comments ul li a:hover', 
			$prefix.'link_hover_color', 
			'color'
		);
		$css .= reflect_css_rule(
			'.footer-widgets, .widget_meta ul li, .footer-widgets .widget_pages ul li, .footer-widgets .widget_nav_menu ul li, .footer-widgets .widget_recent_entries ul li, .footer-widgets .widget_archive ul li, .footer-widgets .widget_categories ul li, .footer-widgets .widget_recent_comments ul li, .footer-widgets .widget_meta ul ul.children, .footer-widgets .widget_pages ul ul.children, .footer-widgets .widget_nav_menu ul ul.children, .footer-widgets .widget_recent_entries ul ul.children, .footer-widgets .widget_archive ul ul.children, .footer-widgets .widget_categories ul ul.children, .footer-widgets .widget_recent_comments ul ul.children, .footer-widgets .widget_nav_menu ul ul.sub-menu', 
			$prefix.'inner_border_color', 
			'border-color'
		);
		$css .= reflect_css_rule('.footer-widgets', $prefix.'inner_border_color', 'border-color');
		
		$css .= reflect_css_rule($class, $prefix.'bg_color', 'background-color');
		$css .= reflect_css_rule($class, $prefix.'bg_image', 'background-image');
		$css .= reflect_css_rule($class, $prefix.'bg_repeat', 'background-repeat');
		$css .= reflect_css_rule($class, $prefix.'bg_attachment', 'background-attachment');
		$css .= reflect_css_rule($class, $prefix.'bg_position', 'background-position');
		$css .= reflect_css_rule($class, $prefix.'bg_size', 'background-size');
	}
	
	/* Footer Copyright */
	if(apply_filters('reflect_active_footer_bottom', false)){
		$prefix = 'footer_bottom_';
		$class = '.footer-bottom';
		
		$text_color_selector = $class.','.$class.' h1,'.$class.' h2,'.$class.' h3,'.$class.' h4,'.$class.' h5,'.$class.' h6';
		$css .= reflect_css_rule($class, $prefix.'text_color', 'color');
		$css .= reflect_css_rule($class.' a', $prefix.'link_color', 'color');
		$css .= reflect_css_rule($class.' a:hover', $prefix.'link_hover_color', 'color');
		$css .= reflect_css_rule($class, $prefix.'border_color', 'border-color');
		$css .= reflect_css_rule($class . ' *, .footer-bottom .section-inner', $prefix.'inner_border_color', 'border-color');
		
		$css .= reflect_css_rule($class, $prefix.'bg_color', 'background-color');
		$css .= reflect_css_rule($class, $prefix.'bg_image', 'background-image');
		$css .= reflect_css_rule($class, $prefix.'bg_repeat', 'background-repeat');
		$css .= reflect_css_rule($class, $prefix.'bg_attachment', 'background-attachment');
		$css .= reflect_css_rule($class, $prefix.'bg_position', 'background-position');
		$css .= reflect_css_rule($class, $prefix.'bg_size', 'background-size');
	}
	
	
	/* Content Area */
	$prefix = 'content_area_';
	$class	= '.primary';
		
	$text_color_selector = $class.' h1,'.$class.' h2,'.$class.' h3,'.$class.' h4,'.$class.' h5,'.$class.' h6';
	$css .= reflect_css_rule($class, $prefix.'text_color', 'color');
	$css .= reflect_css_rule($text_color_selector, $prefix.'title_color', 'color');
	$css .= reflect_css_rule($class.' a', $prefix.'link_color', 'color');
	$css .= reflect_css_rule($class.' a:hover', $prefix.'link_hover_color', 'color');
	$css .= reflect_css_rule($class, $prefix.'border_color', 'border-color');
	$css .= reflect_css_rule($class . ' *, .footer-bottom .section-inner', $prefix.'inner_border_color', 'border-color');
		
	$css .= reflect_css_rule($class, $prefix.'bg_color', 'background-color');
	$css .= reflect_css_rule($class, $prefix.'bg_image', 'background-image');
	$css .= reflect_css_rule($class, $prefix.'bg_repeat', 'background-repeat');
	$css .= reflect_css_rule($class, $prefix.'bg_attachment', 'background-attachment');
	$css .= reflect_css_rule($class, $prefix.'bg_position', 'background-position');
	$css .= reflect_css_rule($class, $prefix.'bg_size', 'background-size');
	
	return $css;
}